Bug 466237 - Review Request: perl-File-Comments - Recognizes file formats and extracts format-specific comments
Review Request: perl-File-Comments - Recognizes file formats and extracts for...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 466223
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 07:26 EDT by Paul Howarth
Modified: 2010-08-17 17:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-02 18:37:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2008-10-09 07:26:56 EDT
Spec URL: http://www.city-fan.org/~paul/extras/perl-File-Comments/perl-File-Comments.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-File-Comments/perl-File-Comments-0.07-1.fc10.src.rpm
Description:

File::Comments guesses the type of a given file, determines the format
used for comments, extracts all comments, and returns them as a
reference to an array of chunks. Alternatively, it strips all comments
from a file.

Currently supported are Perl scripts, C/C++ programs, Java, makefiles,
JavaScript, Python and PHP.
Comment 1 Jason Tibbitts 2008-11-04 15:13:43 EST
I took this and then promptly went out of town.  Sorry about that; I thought I would have time to finish it up before I left.

rpmlint does complain about all of the executable documentation.  The scripts do generate an additional dependency on perl(Getopt::Std) which would not be there if the documentation wasn't executable.  Since this happens to be provided by the base Perl package currently I guess it isn't really problematic.

* source files match upstream:
   770bf884c44b3346f7240d173235e27e5022d0277346845eda4187f858ea5fed  
   File-Comments-0.07.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
O rpmlint has complaints about executable documentation.
O final provides and requires (extra Getopt::Std dependency):
   perl(File::Comments) = 0.07
   perl(File::Comments::Plugin)
   perl(File::Comments::Plugin::C) = 0.01
   perl(File::Comments::Plugin::HTML) = 0.01
   perl(File::Comments::Plugin::Java) = 0.01
   perl(File::Comments::Plugin::JavaScript)
   perl(File::Comments::Plugin::Makefile) = 0.01
   perl(File::Comments::Plugin::PHP) = 0.01
   perl(File::Comments::Plugin::Perl) = 0.01
   perl(File::Comments::Plugin::Python) = 0.01
   perl(File::Comments::Plugin::Shell) = 0.01
   perl(File::Comments::Target)
   perl-File-Comments = 0.07-1.fc10
  =
   /usr/bin/perl
   perl(:MODULE_COMPAT_5.10.0)
   perl(File::Basename)
   perl(File::Comments)
   perl(File::Comments::Plugin)
   perl(File::Comments::Plugin::C)
   perl(File::Comments::Plugin::Makefile)
O  perl(Getopt::Std)
   perl(HTML::TokeParser)
   perl(Log::Log4perl)
   perl(Sysadm::Install)
   perl(strict)
   perl(warnings)

* %check is present and all tests pass:
  All tests successful.
  Files=9, Tests=75,  2 wallclock secs ( 0.04 usr  0.02 sys +  1.05 cusr  0.12 
   csys =  1.23 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
O file permissions are acceptable (documentation is executable, not causing 
   extra packages to be pulled in)
* no generically named files
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Paul Howarth 2008-11-04 15:49:08 EST
New Package CVS Request
=======================
Package Name: perl-File-Comments
Short Description: Recognizes file formats and extracts format-specific comments
Owners: pghmcfc
Branches: F-8 F-9
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2008-11-05 17:51:57 EST
cvs done.
Comment 4 Fedora Update System 2008-11-05 19:08:57 EST
perl-File-Comments-0.07-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-File-Comments-0.07-1.fc10
Comment 5 Fedora Update System 2008-11-05 19:10:54 EST
perl-File-Comments-0.07-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-File-Comments-0.07-1.fc9
Comment 6 Fedora Update System 2008-11-05 19:11:54 EST
perl-File-Comments-0.07-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/perl-File-Comments-0.07-1.fc8
Comment 7 Fedora Update System 2008-11-06 21:51:26 EST
perl-File-Comments-0.07-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-11-06 21:52:31 EST
perl-File-Comments-0.07-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-11-22 11:52:36 EST
perl-File-Comments-0.07-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Jason Tibbitts 2008-12-02 18:29:24 EST
Any reason for this to still be open?  Usually bodhi closes the tickets automatically when it pushes the new packages to stable.
Comment 11 Paul Howarth 2008-12-02 18:37:08 EST
Perhaps I unchecked the "close bug" box when I created the updates.

No need to keep this open any longer now as you say.
Comment 12 Paul Howarth 2010-08-17 05:57:43 EDT
Package Change Request
======================
Package Name: perl-File-Comments
Short Description: Recognizes file formats and extracts format-specific comments
Owners: pghmcfc
New Branches: el6
InitialCC: perl-sig

This hasn't been in EPEL before due to missing dependencies but they're all
there in EL-6.
Comment 13 Kevin Fenzi 2010-08-17 17:01:33 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.